org.apache.maven.scm.command.fileinfo

## Class AbstractFileInfoCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.fileinfo.AbstractFileInfoCommand

All Implemented Interfaces:
  Command

    public abstract class AbstractFileInfoCommand
    extends AbstractCommand

Author:
  Emmanuel Venisse, Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractFileInfoCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`ScmResult` `executeCommand(ScmProviderRepository repository, File workingDirectory, CommandParameters parameters)`
`protected abstract ScmResult` `executeFileInfoCommand(ScmProviderRepository repository, File workingDirectory, String filename)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, executeCommand, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractFileInfoCommand

    public AbstractFileInfoCommand()

### Method Detail

#### executeFileInfoCommand

    protected abstract ScmResult executeFileInfoCommand(ScmProviderRepository repository,
                                                        File workingDirectory,
                                                        String filename)
                                                 throws ScmException

Throws:
  `ScmException`

#### executeCommand

    public ScmResult executeCommand(ScmProviderRepository repository,
                                    File workingDirectory,
                                    CommandParameters parameters)
                             throws ScmException

Throws:
  `ScmException`